import Nerv from "nervjs";
import classnames from 'classnames';
import MultiPickerMixin from "./MultiPickerMixin";
const MultiPicker = props => {
  const { prefixCls, className, rootNativeProps, children, style } = props;
  const selectedValue = props.getValue();
  const colElements = children.map((col, i) => {
    Object.assign(col.props, {
      selectedValue: selectedValue[i],
      onValueChange: (...args) => props.onValueChange(i, ...args)
    });
    return col;
  });
  return <div {...rootNativeProps} style={style} className={classnames(className, prefixCls)}>
      {colElements}
    </div>;
};
export default MultiPickerMixin(MultiPicker);