import Taro from '@tarojs/taro-h5';
import Nerv from "nervjs";
export default function (ComposedComponent) {
  var _a;
  return _a = class _TaroComponentClass extends Taro.Component {
    constructor() {
      super(...arguments);
      this.getValue = () => {
        const { children, selectedValue } = this.props;
        if (selectedValue && selectedValue.length) {
          return selectedValue;
        } else {
          if (!children) {
            return [];
          }
          return children.map(c => {
            const cc = c.children || c.props.children;
            return cc && cc[0] && cc[0].props.value;
          });
        }
      };
      this.onChange = (i, v, cb) => {
        const value = this.getValue().concat();
        value[i] = v;
        if (cb) {
          cb(value, i);
        }
      };
      this.onValueChange = (i, v) => {
        this.onChange(i, v, this.props.onValueChange);
      };
      this.onScrollChange = (i, v) => {
        this.onChange(i, v, this.props.onScrollChange);
      };
    }
    render() {
      return <ComposedComponent {...this.props} getValue={this.getValue} onValueChange={this.onValueChange} onScrollChange={this.props.onScrollChange && this.onScrollChange} />;
    }
  }, _a.defaultProps = {
    prefixCls: 'at-multi-picker',
    onValueChange() {}
  }, _a;
}