import Taro from '@tarojs/taro-h5';
import Nerv from "nervjs";
import { View } from '@tarojs/components';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import AtComponent from "../../common/component";

export default class AtWhiteSpace extends AtComponent {
  render() {
    const { prefixCls, size, className, style, onClick } = this.props;
    const wrapCls = classnames(prefixCls, `${prefixCls}-${size}`, className);

    return <View className={wrapCls} style={style} onClick={onClick} />;
  }
}
AtWhiteSpace.defaultProps = {
  prefixCls: 'at-whitespace',
  size: 'md'
};
AtWhiteSpace.propTypes = {
  prefixCls: PropTypes.string,
  className: PropTypes.string,
  style: PropTypes.oneOfType([PropTypes.object, PropTypes.string]),
  onClick: PropTypes.func,
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg', 'xl'])
};